PCRE2_SERIALIZE_GET_NUMBER_OF_CODES(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int32_t pcre2_serialize_get_number_of_codes(const uint8_t *bytes);

DESCRIPTION

The bytes argument must point to a serialized byte stream that was originally created by pcre2_serialize_encode() (though it may have been saved on disc or elsewhere in the meantime). The function returns the number of serialized patterns in the byte stream, or one of the following negative error codes:

  PCRE2_ERROR_BADMAGIC mismatch of id bytes in bytes
  PCRE2_ERROR_BADMODE mismatch of variable unit size or PCRE version
  PCRE2_ERROR_NULL the argument is NULL

PCRE2_ERROR_BADMAGIC may mean that the data is corrupt, or that it was compiled on a system with different endianness.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.